Skip to main content
POST
/
data-deletions
/
v3.0
Create a Deletion
curl --request POST \
  --url https://{regionAndDomain}.com/api/app/data-deletions/v3.0 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "distinct_ids": [
    "distinct_id_1",
    "distinct_id_2",
    "distinct_id_3"
  ],
  "compliance_type": "<string>"
}
'
import requests

url = "https://{regionAndDomain}.com/api/app/data-deletions/v3.0"

payload = {
"distinct_ids": ["distinct_id_1", "distinct_id_2", "distinct_id_3"],
"compliance_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
distinct_ids: ['distinct_id_1', 'distinct_id_2', 'distinct_id_3'],
compliance_type: '<string>'
})
};

fetch('https://{regionAndDomain}.com/api/app/data-deletions/v3.0', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "ok",
  "results": {
    "task_id": "job-tracking-id"
  }
}
{
"error": "<string>",
"status": "error"
}
{
"error": "<string>",
"status": "error"
}

Authorizations

Authorization
string
header
required

OAuth Token

Query Parameters

token
string
required

Your project token

Body

application/json
distinct_ids
string[]

Distinct IDs involved in the request

Example:
[
"distinct_id_1",
"distinct_id_2",
"distinct_id_3"
]
compliance_type
string

Select CCPA or GDPR. Default is GDPR.

Response

Success

A JSON response object containing the task_id of the retrieval/deletion job.

status
string
required

The status of the response

Example:

"ok"

results
object
required